Bug 1187343 - Packstack does not install Ironic with CONFIG_IRONIC_INSTALL flag set to "y"
Summary: Packstack does not install Ironic with CONFIG_IRONIC_INSTALL flag set to "y"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-puppet-modules
Version: 6.0 (Juno)
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: z2
: 6.0 (Juno)
Assignee: Martin Magr
QA Contact: Toure Dunnon
URL:
Whiteboard:
Depends On: 1181307
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-29 19:51 UTC by Toure Dunnon
Modified: 2015-04-07 15:10 UTC (History)
7 users (show)

Fixed In Version: openstack-puppet-modules-2014.2.12-1.el7ost
Doc Type: Technology Preview
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-07 15:10:21 UTC
Target Upstream Version:


Attachments (Terms of Use)
packstack logs. (7.09 KB, text/plain)
2015-01-29 19:51 UTC, Toure Dunnon
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0789 normal SHIPPED_LIVE Important: openstack-packstack and openstack-puppet-modules security and bug fix update 2015-04-07 19:08:02 UTC

Description Toure Dunnon 2015-01-29 19:51:48 UTC
Created attachment 985747 [details]
packstack logs.

Description of problem:
On the attempt of installing a packstack --allinone or multinode deployment packstack fails with a error from mariadb when the config_ironic_install flag is set to enabled.



Version-Release number of selected component (if applicable):

RHEL 7 which is subscribed to the rhos-release repos.
[root@localhost ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 7.0 (Maipo)
[root@localhost ~]# uname -r
3.10.0-123.20.1.el7.x86_64

openstack-puppet-modules-2014.2.8-2.el7ost.noarch
openstack-packstack-2014.2-0.15.dev1401.gdd19d48.el7ost.noarch
openstack-packstack-puppet-2014.2-0.15.dev1401.gdd19d48.el7ost.noarch

How reproducible:
Install RHEL7 and install the latest version of openstack-packstack, then
generate a answer file, which in turn will be edited to enable the installation of IRONIC.


Steps to Reproduce:
1. Install RHEL7 server
2. yum install openstack-packstack
3. packstack --gen-answer-file answer.txt
4. vi / emac answer.txt ( set CONFIG_IRONIC_INSTALL = y )
5. packstack --answer-file answer.txt

Actual results:
...
..
.
ding post install manifest entries                 [ DONE ]
Installing Dependencies                              [ DONE ]
Copying Puppet modules and manifests                 [ DONE ]
Applying 192.168.122.160_prescript.pp
192.168.122.160_prescript.pp:                        [ DONE ]           
Applying 192.168.122.160_amqp.pp
Applying 192.168.122.160_mariadb.pp
192.168.122.160_amqp.pp:                             [ DONE ]         
192.168.122.160_mariadb.pp:                       [ ERROR ]           
Applying Puppet manifests                         [ ERROR ]

ERROR : Error appeared during Puppet run: 192.168.122.160_mariadb.pp
Error: Puppet::Parser::AST::Resource failed with error ArgumentError: Could not find declared class ironic::db::mysql at /var/tmp/packstack/671428e9eb044da59c9aa2f83b2af47c/manifests/192.168.122.160_mariadb.pp:86 on node localhost.rdu.redhat.com
You will find full trace in log /var/tmp/packstack/20150129-143118-9BppQU/manifests/192.168.122.160_mariadb.pp.log
Please check log file /var/tmp/packstack/20150129-143118-9BppQU/openstack-setup.log for more information

Additional information:
 * Time synchronization installation was skipped. Please note that unsynchronized time on server instances might be problem for some OpenStack components.
 * Warning: NetworkManager is active on 192.168.122.160. OpenStack networking currently does not work on systems that have the Network Manager service enabled.
 * File /root/keystonerc_admin has been created on OpenStack client host 192.168.122.160. To use the command line tools you need to source the file.
 * To access the OpenStack Dashboard browse to http://192.168.122.160/dashboard .
Please, find your login credentials stored in the keystonerc_admin in your home directory.
 * To use Nagios, browse to http://192.168.122.160/nagios username: nagiosadmin, password: 378f8fd8f9b24a79

Expected results:
Success

Additional info:

Comment 2 Ryan Hallisey 2015-01-30 16:09:59 UTC
$ ls /usr/share/openstack-puppet/modules/

You won't find the Ironic module since it hasn't been added to the master branch of OPM, but rather master patches.  All the code for it has been merged upstream so I suppose it should be in the master branch now?

Comment 3 Toure Dunnon 2015-02-02 13:46:50 UTC
Ryan should there be a seperate directory listing for the module as I see a ironic.pp file under nova.

[root@localhost modules]# pwd
/usr/share/openstack-puppet/modules
[root@localhost modules]# find . -name "ironic*" -type f
./nova/manifests/compute/ironic.pp
[root@localhost modules]#

Comment 4 Ryan Hallisey 2015-02-02 13:53:05 UTC
Yes.  That's what I'm saying.  The Ironic puppet module was not added to the master branch of OPM so only other pieces of it show up like the Ironic additions to the Nova module.  Since the everything has been merged upstream, I thought OPM's master branch would grab the upstream Ironic module and put it into the master branch.

Comment 5 Ryan Hallisey 2015-02-02 14:01:32 UTC
The Ironic module was added to the master branch this won't occur anymore.

Comment 11 Scott Lewis 2015-03-13 18:03:17 UTC
re-adding pm and qa acks

Comment 16 errata-xmlrpc 2015-04-07 15:10:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0789.html


Note You need to log in before you can comment on or make changes to this bug.